# NMSItemStack_1_13
Date: 2020-04-18

me.legofreak107.vehiclesplus.vehicles.reflection.versions

## Class NMSItemStack_1_13

- java.lang.Object
- - me.legofreak107.vehiclesplus.vehicles.reflection.versions.NMSItemStack_1_13

All Implemented Interfaces:
  NMSItemStack

    public class NMSItemStack_1_13
    extends java.lang.Object
    implements NMSItemStack

### Constructor Summary

Constructors
Constructor and Description
`NMSItemStack_1_13()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getString(org.bukkit.inventory.ItemStack itemStack, java.lang.String key)`
`java.lang.Boolean` `hasString(org.bukkit.inventory.ItemStack itemStack, java.lang.String key)`
`org.bukkit.inventory.ItemStack` `setString(org.bukkit.inventory.ItemStack itemStack, java.lang.String key, java.lang.String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NMSItemStack_1_13

    public NMSItemStack_1_13()

### Method Detail

#### getString

    public java.lang.String getString(org.bukkit.inventory.ItemStack itemStack,
                                      java.lang.String key)

Specified by:
  `getString` in interface `NMSItemStack`

#### hasString

    public java.lang.Boolean hasString(org.bukkit.inventory.ItemStack itemStack,
                                       java.lang.String key)

Specified by:
  `hasString` in interface `NMSItemStack`

#### setString

    public org.bukkit.inventory.ItemStack setString(org.bukkit.inventory.ItemStack itemStack,
                                                    java.lang.String key,
                                                    java.lang.String value)

Specified by:
  `setString` in interface `NMSItemStack`